import json
import os
import os.path


class Settings:
    def __init__(self):
        self.YIRD_PATH = os.environ['YIRD_PATH']
        self.POSTS_PATH = os.path.join(self.YIRD_PATH, 'posts')
        self.TEMPLATES_PATH = os.path.join(self.YIRD_PATH, 'templates')
        with open(os.path.join(self.YIRD_PATH, 'settings.json')) as f:
            settings_file = json.loads(f.read())
            self.PUBLIC_PATH = settings_file['PUBLIC_PATH']
